﻿using DesktopTools.Controls;
using DesktopTools.Models;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.BusinessLogics;
using SecurityBusinessLogic.ViewModels;
using System;

namespace SecurityWindowsDesktop.Controls
{
	public partial class EnviromentSettingControl : GenericControlEntityList<EnviromentSettingGetBindingModel, EnviromentSettingSetBindingModel, EnviromentSettingListViewModel, EnviromentSettingViewModel, EnviromentSettingBusinessLogic>
	{
		public EnviromentSettingControl()
		{
			InitializeComponent();
			Title = "Настройки Среды";
			Id = new Guid("b3865c23-b1db-475b-b95c-aa51edc60388");
			Order = 1;
			AccessOperation = AccessOperation.НастройкиСреды;
		}

		public override BaseControlViewEntityList Clone() => new EnviromentSettingControl() { Id = Guid.NewGuid() };

		protected override ControlViewEntityListConfiguration GetConfig() => new()
		{
			PaginationOn = false
		};

		protected override EnviromentSettingListViewModel GetData()
		{
			var list = _businessLogic.GetList(new EnviromentSettingGetBindingModel());
			return list;
		}
	}
}